Fully featured low overhead profiler for Java EE and Java SE platforms.
Ultimate profiling and monitoring solution for Gradle, Maven, Ant, JUnit and TestNG.
Easy to use performance and memory profiler for .NET framework.

"Unsupported OS" error when connecting to remote host

Moderators: Vladimir Kondratyev, Anton Katilin

"Unsupported OS" error when connecting to remote host

Postby cmullins » Sat May 12, 2018 6:16 pm

I'm connecting to a GCP host. The SSH connection works, but I get this "Unsupported OS" error. The error:

Image

I'm running YourKit 2018.04-b64 (with a license).

Details on the host I'm connecting to:

Code: Select all
$ java -version
openjdk version "1.8.0_162"
OpenJDK Runtime Environment (build 1.8.0_162-8u162-b12-1~bpo8+1-b12)
OpenJDK 64-Bit Server VM (build 25.162-b12, mixed mode)


Code: Select all
$ uname -r
3.16.0-6-amd64


Code: Select all
$ lsb_release -a
No LSB modules are available.
Distributor ID:   Debian
Description:   Debian GNU/Linux 8.10 (jessie)
Release:   8.10
Codename:   jessie


I've tried specifying the path to Java to no avail (I get the same error).

Anyone have any idea how to resolve?
cmullins
 
Posts: 4
Joined: Sat May 12, 2018 6:06 pm

Re: "Unsupported OS" error when connecting to remote host

Postby Anton Katilin » Mon May 14, 2018 7:04 am

Could you please send to support@yourkit.com the logs:
- from your local machine ~/.yjp/log
- from the remote machine ~/.yjp/log
Anton Katilin
 
Posts: 5682
Joined: Wed Aug 11, 2004 8:37 am

Re: "Unsupported OS" error when connecting to remote host

Postby Vladimir Kondratyev » Mon May 14, 2018 12:51 pm

Please send us output of "uname -a" and "uname -i" commands from your Debian machine.

Best regards,
Vladimir Kondratyev
YourKit GmbH
http://www.yourkit.com
"Don't get lost in data, get information!"
Vladimir Kondratyev
 
Posts: 1459
Joined: Tue Aug 10, 2004 7:52 pm
Location: Düsseldorf, Germany

Re: "Unsupported OS" error when connecting to remote host

Postby Anton Katilin » Mon May 14, 2018 2:26 pm

And of "uname -m", please.
Anton Katilin
 
Posts: 5682
Joined: Wed Aug 11, 2004 8:37 am

Re: "Unsupported OS" error when connecting to remote host

Postby cmullins » Tue May 15, 2018 12:17 am

Thanks for the response guys. Here's output from the commands. I'll get the logs to you in a bit. Have since wiped that machine so will need to reproduce:

Code: Select all
$ uname -a
Linux test-cluster2-m 3.16.0-6-amd64 #1 SMP Debian 3.16.56-1 (2018-04-28) x86_64 GNU/Linux
$ uname -i
unknown
$ uname -m
x86_64
cmullins
 
Posts: 4
Joined: Sat May 12, 2018 6:06 pm

Re: "Unsupported OS" error when connecting to remote host

Postby cmullins » Tue May 15, 2018 3:47 am

Local logs sent to the support address. There are no logs on the remote host.

thanks again!
cmullins
 
Posts: 4
Joined: Sat May 12, 2018 6:06 pm

Re: "Unsupported OS" error when connecting to remote host

Postby Anton Katilin » Tue May 15, 2018 6:46 am

Thank you for providing the information. We're working on this and are going to solve the problem in the next build.
Anton Katilin
 
Posts: 5682
Joined: Wed Aug 11, 2004 8:37 am

Re: "Unsupported OS" error when connecting to remote host

Postby cmullins » Tue May 15, 2018 10:11 pm

Thanks guys, that was fast! Looking forward to it.

Yourkit is an awesome product, keep up the good work :)
cmullins
 
Posts: 4
Joined: Sat May 12, 2018 6:06 pm

Re: "Unsupported OS" error when connecting to remote host

Postby Vladimir Kondratyev » Thu May 17, 2018 7:57 pm

Build 2018.04.67 which fixes this issue is available for download at https://www.yourkit.com/java/profiler/download/

Please try it and confirm the the problem is gone.

Best regards,
Vladimir Kondratyev
YourKit GmbH
http://www.yourkit.com
"Don't get lost in data, get information!"
Vladimir Kondratyev
 
Posts: 1459
Joined: Tue Aug 10, 2004 7:52 pm
Location: Düsseldorf, Germany


Return to Java Profiler

Who is online

Users browsing this forum: erajfateemaeraj and 19 guests